package com.agilex.healthcare.schedulingmanager.testutility;

import com.agilex.healthcare.schedulingmanager.clientapi.AuthenticationInfo;
import com.agilex.healthcare.schedulingmanager.clientapi.MobileHealthClientTestVersion;

public class TestHelper {
    private static final String REST_TOKEN_URI = "http://localhost:8080/AuthorizationServices/rest/token";

    public static MobileHealthClientTestVersion createProviderMobileHealthClient() {
        AuthenticationInfo authenticationInfo = IntegrationTestConfiguration.getLVProviderAuthenticationInformation();
        return createMobileHealthClient(authenticationInfo);
    }

    public static MobileHealthClientTestVersion createMobileHealthClient(AuthenticationInfo authenticationInfo) {
        String uri = IntegrationTestConfiguration.getSchedulingManagerBaseUri();
        MobileHealthClientTestVersion mobileHealthClient = new MobileHealthClientTestVersion(uri, authenticationInfo);
        return mobileHealthClient;
    }

    public static String getDeleteTokenURI() {
        return REST_TOKEN_URI;
    }
}